#4182 Y/N Column produces Error on save with Null Value

closed
nobody
5
2006-12-14
2006-12-04
No

If a Y/N column has null for an existing record the save produces an error on the PO Check, as the current value is String NULL.

Discussion

  • Yves Sandfort

    Yves Sandfort - 2006-12-04

    Logged In: YES
    user_id=467647
    Originator: YES

    21:25:15.639 APanel.dataStatusChanged: 1/1 [22]
    21:25:15.639 APanel.dataStatusChanged: 1/1 [11]
    21:25:15.639 APanel.dataStatusChanged: 1/1 [11]
    21:25:22.404 APanel.dataStatusChanged: *1/1 [11]
    21:25:23.529 APanel.actionPerformed: Save - 16 [11]
    21:25:23.529 GridTable.dataSave: Row=0 [11]
    -----------> GridTable.saveWarning: SaveErrorDataChanged - IsNameserver= false(j
    ava.lang.Boolean) != DB: null -> New: true(java.lang.Boolean) [11]
    21:25:23.545 APanel.dataStatusChanged: *1/1 [11]
    21:25:23.545 ADialog.error: SaveErrorDataChanged - IsNameserver= false(java.lang
    .Boolean) != DB: null -> New: true(java.lang.Boolean) [11]

     
  • Jorg Janke

    Jorg Janke - 2006-12-05
    • status: open --> pending
     
  • Jorg Janke

    Jorg Janke - 2006-12-05

    Logged In: YES
    user_id=87038
    Originator: NO

    If you want to allow null values, you need to change the type to List and select YesNo there.

     
  • Yves Sandfort

    Yves Sandfort - 2006-12-05

    Logged In: YES
    user_id=467647
    Originator: YES

    I don't want to allow this but it seems to have in some tables records like this from the past, for whatever reason.
    I think at least as the save is no error it should accept this as it is. The comparision in this scenario doesn't make sens...

     
  • Yves Sandfort

    Yves Sandfort - 2006-12-05
    • status: pending --> open
     
  • Jorg Janke

    Jorg Janke - 2006-12-06
    • status: open --> pending
     
  • Jorg Janke

    Jorg Janke - 2006-12-06

    Logged In: YES
    user_id=87038
    Originator: NO

    Do you have an example in Gardenworld ??
    IsNameserver is one of your columns - seems that you did not create it in a Compiere way - e.g. DEFAULT 'N' NOT NULL

     
  • SourceForge Robot

    • status: pending --> closed
     
  • SourceForge Robot

    Logged In: YES
    user_id=1312539
    Originator: NO

    This Tracker item was closed automatically by the system. It was
    previously set to a Pending status, and the original submitter
    did not respond within 7 days (the time period specified by
    the administrator of this Tracker).

     

Log in to post a comment.